from PyQt5.QtWidgets import QMainWindow, QHBoxLayout
from gui.myapp import Ui_MyApp
from glcanvas import GLCanvas


class AppController(QMainWindow, Ui_MyApp):
    def __init__(self):
        super().__init__()
        super().setupUi(self)

        # Create an OpenGL canvas and associate to the
        # canvas widget
        self.glcanvas = GLCanvas()
        self.glcanvas.setParent(self.canvas)
        horizontalLayout = QHBoxLayout(self.canvas)
        horizontalLayout.setContentsMargins(0, 0, 0, 0)
        horizontalLayout.setSpacing(0)
        horizontalLayout.addWidget(self.glcanvas)

        # Get mouse move events even when no buttons are held down
        self.glcanvas.setMouseTracking(True)
